Subject: Re: [PATCH] r8169: Enable RX_MULTI_EN for RTL_GIGA_MAC_VER_40

From: Michel Dänzer <[email-masked]>
Date: Tue, 15 Jul 2014 18:56:41 +0900

On 15.07.2014 18:29, Hayes Wang wrote:
>  Michel Dänzer [mailto:[email-masked]] 
>> Sent: Tuesday, July 15, 2014 2:42 PM
>> To: Francois Romieu; nic_swsd
>> Cc: [email-masked]; [email-masked]
>> Subject: [PATCH] r8169: Enable RX_MULTI_EN for RTL_GIGA_MAC_VER_40
>>
>> Without this, the ethernet port on my ASUS A88X Pro mainboard stops
>> working sometimes, with messages like these in dmesg:
>>
>> AMD-Vi: Event logged [IO_PAGE_FAULT device=05:00.0 
>> domain=0x001e address=0x0000000000003000 flags=0x0050]
> 
> I search the information about your issue. It seems to be
> relative to the IOMMU. I don't sure if your patch is the root
> cause or a workaround.

It's quite possibly just a workaround; I tried this based on previous
similar commits in this driver.

-- 
Earthling Michel Dänzer            |                  http://www.amd.com
Libre software enthusiast          |                Mesa and X developer